Retrieve an Observer
GET/agreements/:agreement_id/observers/:observer_id
Retrieves an observer of the Agreement.
Request
Path Parameters
GET /agreements/:agreement_id/observers/:observer_id parameter
GET /agreements/:agreement_id/observers/:observer_id parameter
Responses
- 200
- 400
GET /agreements/:agreement_id/observers/:observer_id Successful response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the observer resource.
Possible values: [observer]
Data contains the observer resource.
data objectrequired
The resource data.
The unique identifier of the observer
Possible values: [observer]
The name of the observer. Required if no email is provided.
The email of the observer. Required if agreement is configured to send emails or if the observer_scope is 'cc'.
Possible values: [sv-SE, en-US]
The locale for the observer. Can be overridden from the signing room (if the observer_scope is 'viewer'), but this value serves as the default if nothing else is specified.
Possible values: [cc, viewer]
The scope of the observer. If specified as viewer, they will gain access to the signing room to follow the process. Otherwise, they will only receive the final, signed document.
The unique identifier for the agreement this observer belongs to
The URL to the signing room for the observer. Only available after the agreement is not in draft.
signing_room_link objectnullable
The current Signing Room Link for the participant. Null before the agreement is finalized, or when no current link exists.
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the signing_room_link resource.
Possible values: [signing_room_link]
Data contains the signing_room_link resource.
data objectrequired
The resource data.
The unique identifier of the Signing Room Link
Possible values: [signing_room_link]
The unique identifier of the agreement the link opens
The full signing room URL. It is a bearer credential: anyone with it can open the signing room for this participant.
Possible values: [active, expired, revoked]
Whether the link still grants access to the signing room. An expired link can be rotated; a revoked link cannot.
When the link stops granting access to the signing room
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "single",
"resource_type": "observer",
"data": {
"id": "cyujeahdrmaezlv3f2rexample",
"resource_type": "observer",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"locale": "sv-SE",
"observer_scope": "cc",
"agreement": "c4xay57idacmbgicom7example",
"signing_room_url": "https://www.zigned.se/sign/ckvxkvifauwbv5d8pzbexample/cctxaqdk9q6b3m3knnpexample",
"signing_room_link": {
"version": "1.0",
"result_type": "single",
"resource_type": "signing_room_link",
"data": {
"id": "cfbsvexzrxdiutehsi7example",
"resource_type": "signing_room_link",
"agreement_id": "cgqyyxtdopufdtcsdxpexample",
"url": "https://www.zigned.se/sign/ckvxkvifauwbv5d8pzbexample/cctxaqdk9q6b3m3knnpexample",
"status": "active",
"expires_at": "2024-01-01T00:00:00.000Z",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
},
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}
GET /agreements/:agreement_id/observers/:observer_id Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}